import React, { useContext } from 'react'

import AcessibilityBar from './AcessibilityBar'
import MenuBar from './MenuBar'
import SearchBar from './SearchBar'

import { Store } from '../Store';

export default function Header(props){

  const { state, dispatch } = useContext(Store)

  const handleClickSearch = (open) => { 
    dispatch({
      type: "HANDLE_SEARCH_BAR",
      opened: !state.searchOpen
    })
  }

  return(
      <>
          <AcessibilityBar />
          <MenuBar openSearchBar={handleClickSearch} />
          {   state.searchOpen &&
              <SearchBar />
          }
      </>
  )
}