import React, {Component} from 'react';
import '../App.css';
import Sidebar from "react-sidebar";
import BT from './Button';

class SidebarMenu extends Component {
    constructor(props) {
      super(props);
      this.state = {
        sidebarOpen: false
      };
      this.onSetSidebarOpen = this.onSetSidebarOpen.bind(this);
    }

    onSetSidebarOpen(open) {
      this.setState({ sidebarOpen: open });
    }

    render() {
      return (
          <Sidebar
            sidebar={
              <div>
                <div>
                  <BT name={"="} method={this.onSetSidebarOpen} parameter={false}/>
                  <BT name={"FECHAR"} method={this.onSetSidebarOpen} parameter={false}/>
                </div>
                <BT name={"Página Inicial"}/>
                <BT name={"Sobre a Plataforma"}/>
                <BT name={"Contato"}/>
                <BT name={"Central de Ajuda"}/>
                <BT name={"Termos de Uso"}/>

              </div>
            }
            open={this.state.sidebarOpen}
            onSetOpen={this.onSetSidebarOpen}
            styles={{root: {
                      position: "inherit",
                      overflow: "hidden"
                    },
                    sidebar: {
                      zIndex: 2,
                      position: "absolute",
                      background: "white"
                    },
                    content: {
                      position: "relative",
                      overflowY: "auto",
                      WebkitOverflowScrolling: "touch",
                      transition: "left .3s ease-out, right .3s ease-out"
                    },
                    overlay: {
                      zIndex: 1,
                      position: "fixed",
                      visibility: "hidden"
                    },
                    dragHandle: {
                      zIndex: 1,
                      position: "fixed"
                    }
                  }}
           >
           <BT name={"= MENU"} method={this.onSetSidebarOpen} parameter={true}/>
          </Sidebar>
      );
    }
  }

export default SidebarMenu;
